strsub
Prev | Orchestra Opcodes and Operators | Next

## strsub

strsub — Extract a substring

## Description

Return a substring of the source string. strsub runs at init time only.

## Syntax

    Sdst strsub Ssrc[, istart[, iend]]

## Initialization

istart (optional, defaults to 0) -- start position in Ssrc, counting from 0. A negative value means the end of the string.

iend (optional, defaults to -1) -- end position in Ssrc, counting from 0. A negative value means the end of the string. If iend is less than istart, the output is reversed.

## See also

strsubk

## Credits

Author: Istvan Varga
2006

Prev | Up | Next
strset | Home | strsubk